# JuiceFS 使用者

使用 JuiceFS 的用户：

| 公司/团队                                        | 使用环境   | 用例                                                                                |
| :---                                             | :---       | :---                                                                                |
| [小米](https://www.mi.com)                       | Production | AI                                                                                  |
| [理想汽车](https://www.lixiang.com)              | Production | 大数据，AI（[案例](https://juicefs.com/blog/cn/posts/li-auto-with-juicefs/)）       |
| [Shopee](https://shopee.com)                     | Production | 大数据（[案例](https://juicefs.com/blog/cn/posts/shopee-clickhouse-with-juicefs/)） |
| [知乎](https://www.zhihu.com)                    | Production | 大数据（[案例](https://juicefs.com/blog/cn/posts/zhihu-flink-with-juicefs/)）       |
| [尧信](https://www.yaoxinhd.com)                 | Production | 大数据，共享文件存储                                                                |
| [旷视](https://megvii.com)                       | Production | AI                                                                                  |
| [航天宏图](https://www.piesat.cn)                | Production | 共享文件存储                                                                        |
| [溯源精微](http://www.geneway.cn)                | Production | 共享文件存储                                                                        |
| [上汽集团](https://www.saicmotor.com/chinese/)   | Production | AI（[案例](https://mp.weixin.qq.com/s/qxOvEmNmoLHhL3ICpX_Drg)）                     |
| [国家超级计算济南中心](https://www.nsccjn.cn/)   | Production | DevOps                                                                              |
| [云知声](https://www.unisound.com)               | Production | AI                                                                                  |
| [网易游戏](https://game.163.com)                 | Production | 大数据，共享文件存储                                                                |
| [一面数据](https://www.yimian.com.cn)            | Production | 大数据                                                                              |
| [携程旅行](https://www.ctrip.com)                 | Production | 大数据，共享文件存储                                                                 |
| [vivo](https://www.vivo.com)                    | Production | AI, 共享文件存储                                                                   |
| [地平线](https://horizon.ai)                    | Production | AI             |
| [火山引擎](https://www.volcengine.com)           | Testing    | 共享文件存储                                                                        |
| [叮咚买菜](https://www.100.me)                   | Testing    | 大数据                                                                              |
| [顺丰速运](https://www.sf-express.com)           | Testing    | 大数据，共享文件存储                                                                |
| [BIGO](https://bigo.tv)                          | Testing    | AI                                                                                  |
| [蒙商消费金融](https://www.mengshangxiaofei.com) | Testing    | 共享文件存储                                                                        |

此外在社区生态方面，

- [旷视科技](https://megvii.com)团队贡献了 [Python SDK](https://github.com/megvii-research/juicefs-python)。
- [PaddlePaddle](https://github.com/paddlepaddle/paddle) 团队已将 JuiceFS 缓存加速特性集成到 [Paddle Operator](https://github.com/PaddleFlow/paddle-operator) 中，具体请参考[文档](https://github.com/PaddleFlow/paddle-operator/blob/sampleset/docs/zh_CN/ext-overview.md)。
- 通过 JuiceFS 可以轻松搭建一个 [Milvus](https://milvus.io) 向量搜索引擎，Milvus 团队已经撰写了官方 [案例](https://zilliz.com/blog/building-a-milvus-cluster-based-on-juicefs) 与 [教程](https://tutorials.milvus.io/en-juicefs/index.html?index=..%2F..index#0)。
- 大数据 OLAP 分析引擎 [Apache Kylin 4.0](http://kylin.apache.org) 可以使用 JuiceFS 在所有公有云上轻松部署存储计算分离架构的集群，请看 [视频分享](https://www.bilibili.com/video/BV1c54y1W72S) 和 [案例文章](https://juicefs.com/blog/cn/posts/optimize-kylin-on-juicefs/)。
- [云知声](https://www.unisound.com) 团队参与开发 [Fluid](https://github.com/fluid-cloudnative/fluid) JuiceFSRuntime 缓存引擎，具体请参考[文档](https://github.com/fluid-cloudnative/fluid/blob/master/docs/zh/samples/juicefs_runtime.md) 。

欢迎你在使用 JuiceFS 后，向大家分享你的使用经验，可以直接向这个列表提交 Pull Request，或者联系我们 hello@juicedata.io。
