# Release Notes

:::tip
For all versions, please see [GitHub Releases](https://github.com/juicedata/juicefs/releases).
:::

## Upgrade to JuiceFS v1.0.0 Beta3

JuiceFS client has only one binary file, so when upgrading, you only need to replace the old version with the new one. 

### SQL: Update table schema to support encoding other than UTF-8

JuiceFS v1.0.0 Beta3 changed the table schema to support encoding other than UTF-8. For existing file systems, we need to upgrade the table schema to support that. It's recommanded to upgrade all clients first, then update the table schema.

:::note
Table schema upgrades are not mandatory and are only required if you need to use non-UTF-8 characters. In addition, metadatabase performance may degrade when upgrading SQL table schemas, affecting running services.
:::

#### MySQL/MariaDB

```sql
alter table jfs_edge
    modify name varbinary(255) not null;
alter table jfs_symlink
    modify target varbinary(4096) not null;
```

#### PostgreSQL

```sql
alter table jfs_edge
    alter column name type bytea using name::bytea;
alter table jfs_symlink
    alter column target type bytea using target::bytea;
```

#### SQLite

Since SQLite does not support modifying columns, you can migrate them by `dump` and `load` commands, refer to: [JuiceFS Metadata Backup and Recovery](administration/metadata_dump_load.md) for details.

### New session management format

JuiceFS v1.0.0 Beta3 uses a new session management format, previous versions of clients will not be able to see the sessions generated by v1.0.0 Beta3 clients via `juicefs status` or `juicefs destroy`, new versions of clients can see all sessions.
